Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.motifDiscovery.history
Class CappedHistory

    java.lang.Object
      de.jstacs.motifDiscovery.history.CappedHistory

All Implemented Interfaces:
  History, Storable, Cloneable

    public class CappedHistory

extends Object
implements History

This class combines a threshold on the number of steps which can be performed with any other `History`. Using a threshold ensures to converge using any other history.

Author:
  Jens Keilwagen

Constructor Summary
`CappedHistory(int t, History h)` This constructor creates an instance that allows at most `t` steps using the history `h`.
`CappedHistory(StringBuffer xml)` This is the constructor for the interface `Storable`.

Method Summary
`void` | `clear()` This method clears the history, i.e. it removes all operations from the history.
`CappedHistory` | `clone()` This method returns a deep copy of the instance
`boolean` | `operationAllowed(int... op)` Returns `true` if the specified operation is allowed, i.e. it does not conflict with any operation from the history.
`void` | `operationPerfomed(int... op)` This method puts an operation to the history.
`StringBuffer` | `toXML()` This method returns an XML representation as `StringBuffer` of an instance of the implementing class.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CappedHistory

    public CappedHistory(int t,
                         History h)
                  throws CloneNotSupportedException

  This constructor creates an instance that allows at most `t` steps using the history `h`.

  Parameters:
    `t` - the maximal number of steps/operations
    `h` - the underlying history
  Throws:
    `CloneNotSupportedException` - is the history `h` could not be cloned

### CappedHistory

    public CappedHistory(StringBuffer xml)
                  throws NonParsableException

  This is the constructor for the interface `Storable`.

  Parameters:
    `xml` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the XML representation could not be parsed

Method Detail

### toXML

    public StringBuffer toXML()

  Description copied from interface: `Storable`
  This method returns an XML representation as `StringBuffer` of an instance of the implementing class.

  Specified by:
    `toXML` in interface `Storable`
  Returns:
    the XML representation

### clone

    public CappedHistory clone()
                        throws CloneNotSupportedException

  Description copied from interface: `History`
  This method returns a deep copy of the instance

  Specified by:
    `clone` in interface `History`
  Overrides:
    `clone` in class `Object`
  Returns:
    a deep copy
  Throws:
    `CloneNotSupportedException` - if not possible
  See Also:
    `Cloneable`, `Object.clone()`

### clear

    public void clear()

  Description copied from interface: `History`
  This method clears the history, i.e. it removes all operations from the history.

  Specified by:
    `clear` in interface `History`

### operationAllowed

    public boolean operationAllowed(int... op)

  Description copied from interface: `History`
  Returns `true` if the specified operation is allowed, i.e. it does not conflict with any operation from the history.

  Specified by:
    `operationAllowed` in interface `History`
  Parameters:
    `op` - the operation to be tested
  Returns:
    `true` if the specified operation is allowed

### operationPerfomed

    public void operationPerfomed(int... op)

  Description copied from interface: `History`
  This method puts an operation to the history.

  Specified by:
    `operationPerfomed` in interface `History`
  Parameters:
    `op` - the performed operation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD